PLaSK library

Loading...
Searching...
No Matches
Classes | Public Member Functions | Public Attributes | List of all members
plask::optical::modal::ExpansionPW3D::Gradient Struct Reference

Gradient data structure (cos² and cos·sin) More...

`#include <solvers/optical/modal/fourier/expansion3d.hpp>`

Collaboration diagram for plask::optical::modal::ExpansionPW3D::Gradient:
[legend]

## Classes
struct | Vertex

## Public Member Functions
| Gradient (const Gradient &)=default
| Gradient (double c2, double cs)
| Gradient (const Vec< 2 > &norm)
Gradient & | operator= (const Gradient &norm)=default
Gradient & | operator= (const Vec< 2 > &norm)
Gradient | operator* (double f) const
Gradient | operator/ (double f) const
Gradient & | operator+= (const Gradient &norm)
Gradient & | operator*= (double f)
Gradient & | operator/= (double f)
bool | isnan () const

## Public Attributes
dcomplex | c2
dcomplex | cs

## Detailed Description

Gradient data structure (cos² and cos·sin)

Definition at line 104 of file expansion3d.hpp.

## Constructor & Destructor Documentation

## ◆ Gradient() [1/3]

plask::optical::modal::ExpansionPW3D::Gradient::Gradient | ( | const Gradient & |  | ) |
| default

## ◆ Gradient() [2/3]

plask::optical::modal::ExpansionPW3D::Gradient::Gradient | ( | double | c2,
|  | double | cs
| ) |  |
| inline

Definition at line 108 of file expansion3d.hpp.

## ◆ Gradient() [3/3]

plask::optical::modal::ExpansionPW3D::Gradient::Gradient | ( | const Vec< 2 > & | norm | ) |
| inline

Definition at line 109 of file expansion3d.hpp.

## Member Function Documentation

## ◆ isnan()

bool plask::optical::modal::ExpansionPW3D::Gradient::isnan | ( |  | ) | const
| inline

Definition at line 123 of file expansion3d.hpp.

## ◆ operator*()

Gradient plask::optical::modal::ExpansionPW3D::Gradient::operator* | ( | double | f | ) | const
| inline

Definition at line 117 of file expansion3d.hpp.

## ◆ operator*=()

Gradient & plask::optical::modal::ExpansionPW3D::Gradient::operator*= | ( | double | f | ) |
| inline

Definition at line 120 of file expansion3d.hpp.

## ◆ operator+=()

Gradient & plask::optical::modal::ExpansionPW3D::Gradient::operator+= | ( | const Gradient & | norm | ) |
| inline

Definition at line 119 of file expansion3d.hpp.

## ◆ operator/()

Gradient plask::optical::modal::ExpansionPW3D::Gradient::operator/ | ( | double | f | ) | const
| inline

Definition at line 118 of file expansion3d.hpp.

## ◆ operator/=()

Gradient & plask::optical::modal::ExpansionPW3D::Gradient::operator/= | ( | double | f | ) |
| inline

Definition at line 121 of file expansion3d.hpp.

## ◆ operator=() [1/2]

Gradient & plask::optical::modal::ExpansionPW3D::Gradient::operator= | ( | const Gradient & | norm | ) |
| default

## ◆ operator=() [2/2]

Gradient & plask::optical::modal::ExpansionPW3D::Gradient::operator= | ( | const Vec< 2 > & | norm | ) |
| inline

Definition at line 111 of file expansion3d.hpp.

## Member Data Documentation

## ◆ c2

dcomplex plask::optical::modal::ExpansionPW3D::Gradient::c2

Definition at line 106 of file expansion3d.hpp.

## ◆ cs

dcomplex plask::optical::modal::ExpansionPW3D::Gradient::cs

Definition at line 106 of file expansion3d.hpp.

The documentation for this struct was generated from the following file:

- solvers/optical/modal/fourier/expansion3d.hpp